org.apache.tinkerpop.gremlin.structure

## Class Graph.Hidden

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.Graph.Hidden

- Enclosing interface:
    Graph

      public static class Graph.Hidden
      extends Object

  This should only be used by providers to create keys, labels, etc. in a namespace safe from users. Users are not allowed to generate property keys, step labels, etc. that are key'd "hidden".

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Hidden()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `hide(String key)` Turn the provided key into a hidden key.
    `static boolean` | `isHidden(String key)` Determines whether the provided key is a hidden key or not.
    `static String` | `unHide(String key)` Turn the provided hidden key into an non-hidden key.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Hidden

          public Hidden()

  - ### Method Detail

    - #### hide

          public static String hide(String key)

      Turn the provided key into a hidden key. If the key is already a hidden key, return key.
      Parameters:
        `key` - The key to make a hidden key
      Returns:
        The hidden key

    - #### unHide

          public static String unHide(String key)

      Turn the provided hidden key into an non-hidden key. If the key is not a hidden key, return key.
      Parameters:
        `key` - The hidden key
      Returns:
        The non-hidden representation of the key

    - #### isHidden

          public static boolean isHidden(String key)

      Determines whether the provided key is a hidden key or not.
      Parameters:
        `key` - The key to check for hidden status
      Returns:
        Whether the provided key is a hidden key or not

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.